Subject: Re: [PATCH] minor Makefile and local-pull.c edits for Darwin

From: "H. Peter Anvin" <[email-masked]>
Date: Tue, 10 May 2005 14:12:00 -0700

Junio C Hamano wrote:
>>>>>>"HPA" == H Peter Anvin <[email-masked]> writes:
> 
> 
> HPA> That being said, there are also a whole bunch of assumptions that any
> HPA> object can be memory-mapped *plus* fit uncompressed in
> HPA> memory... that's obviously not going to be the case for large files.
> 
> HPA> On the other hand, one has to start cleaning up somewhere...
> 
> I agree to that, but on the other hand one also has to know
> where to stop.  The primary purpose of GIT being to manage the
> source files for the Linux kernel project, not worrying about
> _huge_ files that would cause mmap+uncompressed or st.st_size
> not fitting in unsigned long may just be fine.
> 

Using the correct data types is a good start, though.

	-hpa